function s = sample_discrete2(p,n)
% s = sample_discrete2(p,n)
%
% Given a set of discrete probability distributions, p,
% draw n samples from each distribution.
%
% Specifically, if each column of p is a distribution,
% then the corresponding column of s will have n samples
% from the distribution.
%
% Precondition: All entries of p are non-negative, and
% all columns sum to 1.


% Author: David Ross
% $Id$

s = zeros(n,size(p,2));
for cc = 1:size(p,2)
    s(:,cc) = sample_discrete(p(:,cc),n);
end