function image = simple_histeq(image)
% image = simple_histeq(image)
%   A very simple histogram equalization function, for use on grayscale
%   images with gray-values from 0 to 255 (possibly uint8).
%
%   This function was created because Matlab's histeq isn't well-suited
%   to compiling using mcc -hx, due to it's dependence on plotting
%   functions.

% Author: David Ross, Oct. 2003.
% $Id: simple_histeq.m,v 1.2 2004/02/11 18:40:22 dross Exp $

image = round(double(image) +1);
sz = prod(size(image));

counts = zeros(256,1);
for ii = 1:sz
    counts(image(ii)) = counts(image(ii)) + 1;
end
counts = cumsum(counts) / sz;

image = counts(image);