% test_mult3.m
% Author: David Ross, Oct. 2006

% Create two 3d arrays.  Think of them each as a stack
% of 5 matrices.
a = rand(3,4,5);
b = rand(4,6,5);

% Suppose we want to multiply the stacks together,
% a(:,:,ii) with b(:,:,ii).  The straightforward way can 
% be very slow.
c = zeros(size(a,1),size(b,2),size(a,3));
for ii = 1:size(a,3)
    c(:,:,ii) = a(:,:,ii)*b(:,:,ii);
end

% mult3 is much faster (at least, the C version is)
d = mult3(a,b);

error = sum((c(:) - d(:)).^2)

