% test_softmax.m
%
% Author: David Ross, Oct. 2006
% $Id$

% exp(x) overflows to Inf when x > log(realmax), and
% exp(x) underflows to 0 when x is less than about -750.

a = randn(5,10)*100 + 700;
b = -rand(5,10)*100 - 730;

% Note that many entries of a overflow to Inf, and most entries of b
% underflow to 0.
exp_a = exp(a)
exp_b = exp(b)

% The naive way of doing softmax results in Nan's and divide by 0's.
softmax_a = exp_a ./ repmat(sum(exp_a,1), [5 1])
softmax_b = exp_b ./ repmat(sum(exp_b,1), [5 1])

% However, the softmax function works!
softmax_a = softmax(a)
softmax_b = softmax(b)
